PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;

DROP TABLE IF EXISTS contacts;
CREATE TABLE "contacts"(
   "contact_id" Integer,
   "email" Text,
   "if_you_need" Text,
   "name" Text,
   "phone" Text );
INSERT INTO "contacts" VALUES(1,'','','','');
INSERT INTO "contacts" VALUES(2,'','','','');
INSERT INTO "contacts" VALUES(3,'','','','');
INSERT INTO "contacts" VALUES(4,'','','','');

DROP TABLE IF EXISTS version;
CREATE TABLE version (
number varchar(50) DEFAULT(''),
"release" varchar(128));

DROP TABLE IF EXISTS "logs" ;
CREATE TABLE "logs"(
  id INTEGER AUTO INCREMENT,
  process TEXT,
  time DATETIME,
  message TEXT
);

DROP TABLE IF EXISTS "data_key";
CREATE TABLE "data_key"(
   "id"          Integer,
   "language_id" Integer,
   "type"        Text );
INSERT INTO "data_key" VALUES(0,202,'analog');
INSERT INTO "data_key" VALUES(4,2529,'digital');
INSERT INTO "data_key" VALUES(5,2530,'digital');
INSERT INTO "data_key" VALUES(1,557,'sensor');
INSERT INTO "data_key" VALUES(2,558,'sensor');
INSERT INTO "data_key" VALUES(3,559,'sensor');
INSERT INTO "data_key" VALUES(8,2089,'sensor');
INSERT INTO "data_key" VALUES(5,561,'sensor');
INSERT INTO "data_key" VALUES(4,560,'sensor');
INSERT INTO "data_key" VALUES(6,562,'sensor');
INSERT INTO "data_key" VALUES(7,563,'sensor');
INSERT INTO "data_key" VALUES(9,564,'sensor');
INSERT INTO "data_key" VALUES(10,565,'sensor');
INSERT INTO "data_key" VALUES(11,2194,'sensor');
INSERT INTO "data_key" VALUES(1,7,'unit');
INSERT INTO "data_key" VALUES(2,NULL,'unit');
INSERT INTO "data_key" VALUES(3,NULL,'unit');
INSERT INTO "data_key" VALUES(4,8,'unit');
INSERT INTO "data_key" VALUES(5,NULL,'unit');
INSERT INTO "data_key" VALUES(10,779,NULL);
INSERT INTO "data_key" VALUES(12,1205,NULL);
INSERT INTO "data_key" VALUES(13,554,NULL);
INSERT INTO "data_key" VALUES(14,555,NULL);
INSERT INTO "data_key" VALUES(15,556,NULL);
INSERT INTO "data_key" VALUES(16,127,NULL);
INSERT INTO "data_key" VALUES(17,NULL,NULL);
INSERT INTO "data_key" VALUES(18,NULL,NULL);
INSERT INTO "data_key" VALUES(19,155,NULL);
INSERT INTO "data_key" VALUES(20,NULL,NULL);
INSERT INTO "data_key" VALUES(0,202,'digital');
INSERT INTO "data_key" VALUES(4,2277,'analog');
INSERT INTO "data_key" VALUES(5,2278,'analog');


DROP TABLE IF EXISTS [drop_downs] ;
CREATE TABLE [drop_downs] ([mode_data] INTEGER, [text_index] INTEGER, [language_id] INT);

DROP TABLE IF EXISTS "global_settings_ammonia_names_compressor";
CREATE TABLE "global_settings_ammonia_names_compressor"(
   "name" Text,
   "input_letter" Text
    , "analog_id" Integer);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Input 1','A',160);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Input 2','B',161);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Input 3','C',162);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Output 1','D',220);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Output 2','E',221);
INSERT INTO "global_settings_ammonia_names_compressor" VALUES('Ammonia Output 3','F',222);

DROP TABLE IF EXISTS "global_settings_sensor_types";
CREATE TABLE "global_settings_sensor_types"(
   "input_number" Integer,
   "value" Integer );
INSERT INTO "global_settings_sensor_types" VALUES(202,0);
INSERT INTO "global_settings_sensor_types" VALUES(7,1);
INSERT INTO "global_settings_sensor_types" VALUES(8,4);
INSERT INTO "global_settings_sensor_types" VALUES(547,100);

DROP TABLE IF EXISTS sessions;
CREATE TABLE sessions(
                 sessionId TEXT PRIMARY KEY,
                 id INTEGER REFERENCES users(id),
                 lastAccessTime TEXT, hasCookie BOOLEAN);

DROP TABLE IF EXISTS "shared_memory_monitor";
CREATE TABLE "shared_memory_monitor"(
   "data_file" Text,
   "file_item" Text,
   "data_item" Text , "data_file_text" Text, "data_item_text" Text);

DROP TABLE IF EXISTS "software";
CREATE TABLE "software"(
   "version" Text,
   "release" Text );
INSERT INTO "software" VALUES('10.01','10/08/2015');

DROP TABLE IF EXISTS "temp";
CREATE TABLE "temp"(
   "name" Text );

DROP TABLE IF EXISTS user_settings ;
CREATE TABLE user_settings (
  user_id int(5) NOT NULL,
  user_defined_home varchar(500),
  user_defined_main varchar(500));

DROP TABLE IF EXISTS equipment;
CREATE TABLE equipment(
product_name TEXT,
ip TEXT UNIQUE,
port VARCHAR(10),
type_name VARCHAR(25),
external_address TEXT);

DROP TABLE IF EXISTS equipment_components ;
CREATE TABLE equipment_components (
host_id INTEGER,
component_name TEXT,
type_name VARCHAR(25),
CONSTRAINT component UNIQUE(host_id, type_name),
FOREIGN KEY(host_id) REFERENCES equipment(rowid));

DROP TABLE IF EXISTS test_panel_ips;
CREATE TABLE test_panel_ips (
type_name VARCHAR(25),
test_letter CHARACTER(1),
ip TEXT
);
INSERT INTO test_panel_ips VALUES('compressor',       'A', '10.14.228.114');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'A', '10.14.228.116');
INSERT INTO test_panel_ips VALUES('evaporator',       'A', '10.14.228.117');
INSERT INTO test_panel_ips VALUES('engine_room',      'A', '10.14.228.118');
INSERT INTO test_panel_ips VALUES('compressor',       'B', '10.14.228.119');
INSERT INTO test_panel_ips VALUES('condenser/vessel', 'B', '10.14.228.121');
INSERT INTO test_panel_ips VALUES('evaporator',       'B', '10.14.228.122');
INSERT INTO test_panel_ips VALUES('engine_room',      'B', '10.14.228.128');


DROP TABLE IF EXISTS "global_settings_receiver_names";
CREATE TABLE "global_settings_receiver_names"(
	"id" Integer NOT NULL,
	"name" Text );
INSERT INTO "global_settings_receiver_names" VALUES(1,'High Pressure Receiver');
INSERT INTO "global_settings_receiver_names" VALUES(2,'Thermosyphon Receiver');

DROP TABLE IF EXISTS user_actions;
CREATE TABLE user_actions(
       user_id TEXT,
       action_data TEXT,
       time_stamp TIMESTAMP,
       FOREIGN KEY(user_id) REFERENCES users(id));


DROP TABLE IF EXISTS "global_settings_smtp_auth";
CREATE TABLE "global_settings_smtp_auth"(
	"authid" Integer NOT NULL PRIMARY KEY AUTOINCREMENT,
	"option" Text , "selected" Integer);
INSERT INTO "global_settings_smtp_auth" VALUES(1,'tls',1);
INSERT INTO "global_settings_smtp_auth" VALUES(2,'ssl',0);

DROP TABLE IF EXISTS "global_settings_smtp_settings";
CREATE TABLE "global_settings_smtp_settings"(
	"from_address" Text,
	"host"         Text,
	"password"     Text,
	"port"         Text,
	"timeOccured"  DateTime,
	"username"     Text );
INSERT INTO "global_settings_smtp_settings" VALUES('','','','','','');

DROP TABLE IF EXISTS "global_settings_notifications";
CREATE TABLE "global_settings_notifications"(
	"level" Integer,
	"sec_group" Integer );

DROP TABLE IF EXISTS "languages";
CREATE TABLE "languages"(
	"language_id" Integer,
	"name" Text,
	"english" Text,
	"french" Text,
	"chinese" Text,
	"portuguese" Text,
	"polish" Text,
	"traditionalchinese" Text,
	"spanish" Text,
	"russian" Text,
	"italian" Text,
	"korean" Text );

DROP TABLE IF EXISTS "global_settings_analog_aux_inputs_compressor";
CREATE TABLE "global_settings_analog_aux_inputs_compressor"(
	"name"         Text,
	"input_letter" Text,
	"input_number" Integer,
	"analog_id"    Integer,
	"aux_input"    Integer );
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux A','A',956,90,0);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux B','B',957,91,1);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux C','C',958,92,2);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux D','D',1516,93,3);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux E','E',1517,94,4);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux F','F',1518,95,5);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux G','G',1519,96,6);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux H','H',1520,97,7);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux I','I',1521,98,8);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux J','J',1522,99,9);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux K','K',1985,100,10);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux L','L',1986,101,11);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux M','M',1987,102,12);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux N','N',1988,103,13);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux O','O',1989,104,14);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux P','P',1990,105,15);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux Q','Q',2398,106,16);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux R','R',2399,107,17);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux S','S',2400,108,18);
INSERT INTO "global_settings_analog_aux_inputs_compressor" VALUES('Analog Aux T','T',2401,109,19);

DROP TABLE IF EXISTS "global_settings_analog_aux_inputs_units_compressor";
CREATE TABLE "global_settings_analog_aux_inputs_units_compressor"(
	"aux_input" Integer,
	"value"     Text );
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(0,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(1,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(2,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(3,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(4,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(5,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(6,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(7,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(8,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(9,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(10,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(11,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(12,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(13,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(14,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(15,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(16,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(17,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(18,'');
INSERT INTO "global_settings_analog_aux_inputs_units_compressor" VALUES(19,'');

DROP TABLE IF EXISTS "global_settings_digital_aux_inputs_compressor";
CREATE TABLE "global_settings_digital_aux_inputs_compressor"(
	"name"         Text,
	"input_letter" Text,
	"input_number" Integer,
	"id"           Integer );
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input A','A',956,1);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input B','B',957,2);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input C','C',958,3);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input D','D',1516,4);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input E','E',1517,5);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input F','F',1518,6);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input G','G',1519,7);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input H','H',1520,8);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input I','I',1521,9);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input J','J',1522,10);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input K','K',1985,11);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input L','L',1986,12);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input M','M',1987,13);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input N','N',1988,14);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input O','O',1989,15);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input P','P',1990,16);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input Q','Q',2398,17);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input R','R',2399,18);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input S','S',2400,19);
INSERT INTO "global_settings_digital_aux_inputs_compressor" VALUES('Digital Aux Input T','T',2401,20);

DROP TABLE IF EXISTS "global_settings_pid_names_compressor";
CREATE TABLE "global_settings_pid_names_compressor"(
	"name"         Text,
	"input_letter" Text );
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control A','A');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control B','B');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control C','C');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control D','D');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control E','E');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control F','F');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control G','G');
INSERT INTO "global_settings_pid_names_compressor" VALUES('P/I Control H','H');

DROP TABLE IF EXISTS "trending_compressor";
CREATE TABLE "trending_compressor"(
	"language_id" Integer,
	"analog_data" Integer,
	"unit"        Text,
	"text_index"  Integer );

DROP TABLE IF EXISTS "trending_real_time_compressor";
CREATE TABLE "trending_real_time_compressor"(
	"language_id" Integer,
	"analog_data" Integer,
	"unit" Text,
	"text_index" Integer );




DROP TABLE IF EXISTS "global_settings_compressor_names";
CREATE TABLE "global_settings_compressor_names"(
	"id"   Integer NOT NULL,
	"name" Text );
INSERT INTO "global_settings_compressor_names" VALUES(1,'Vessel 1');
INSERT INTO "global_settings_compressor_names" VALUES(2,'Vessel 2');
INSERT INTO "global_settings_compressor_names" VALUES(3,'Vessel 3');

DROP TABLE IF EXISTS "freeze_data_compressor";
CREATE TABLE "freeze_data_compressor"(
	"freeze_id" Integer PRIMARY KEY,
  "table_id"   Integer,
	"selected"  Boolean,
  "ordinal"   Integer);


INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2227, 0, 1, 1);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2228, 0, 1, 2);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(771, 0, 1, 3);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(772, 0, 1, 4);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(13, 0, 1, 5);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(774, 0, 1, 6);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(775, 0, 1, 7);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(618, 0, 1, 8);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(620, 0, 1, 9);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(778, 0, 1, 10);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(739, 0, 1, 11);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(780, 0, 1, 12);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(14, 0, 1, 14);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(781, 0, 1, 13);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(16, 0, 1, 15);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2320, 0, 1, 16);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2321, 0, 1, 17);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2923, 0, 1, 18);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1596, 0, 1, 19);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(27, 0, 1, 20);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(132, 0, 1, 21);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(29, 0, 1, 22);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2542, 0, 1, 23);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1179, 0, 1, 24);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1531, 0, 1, 25);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1666, 0, 1, 26);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1082, 0, 1, 27);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1083, 0, 1, 28);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1084, 0, 1, 29);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1085, 0, 1, 30);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1565, 0, 1, 31);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1566, 0, 1, 32);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1567, 0, 1, 33);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1568, 0, 1, 34);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1569, 0, 1, 35);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4439, 0, 1, 36);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4440, 0, 1, 37);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2162, 0, 1, 38);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2213, 0, 1, 39);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2214, 0, 1, 40);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2219, 0, 1, 41);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(134, 0, 1, 42);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(135, 0, 1, 43);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(136, 0, 1, 44);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(137, 0, 1, 45);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(138, 0, 1, 46);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(139, 0, 1, 47);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(140, 0, 1, 48);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(141, 0, 1, 49);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(142, 0, 1, 50);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(143, 0, 1, 51);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(144, 0, 1, 52);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(145, 0, 1, 53);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(146, 0, 1, 54);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(147, 0, 1, 55);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(148, 0, 1, 56);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(149, 0, 1, 57);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(150, 0, 1, 58);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(151, 0, 1, 59);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(152, 0, 1, 60);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(153, 0, 1, 61);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2174, 0, 1, 62);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1512, 0, 1, 63);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1513, 0, 1, 64);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2212, 0, 1, 65);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2195, 0, 1, 66);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2153, 0, 1, 67);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(2215, 0, 1, 68);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(761, 0, 1, 69);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(762, 0, 1, 70);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(763, 0, 1, 71);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(764, 0, 1, 72);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(765, 0, 1, 73);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(766, 0, 1, 74);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(767, 0, 1, 75);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(768, 0, 1, 76);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1743, 0, 1, 77);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1744, 0, 1, 78);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(1745, 0, 1, 79);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4203, 0, 1, 80);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4204, 0, 1, 81);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4205, 0, 1, 82);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4207, 0, 1, 84);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4206, 0, 1, 83);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4208, 0, 1, 85);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4209, 0, 1, 86);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4210, 0, 1, 87);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4211, 0, 1, 88);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4212, 0, 1, 89);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4213, 0, 1, 90);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4214, 0, 1, 91);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4215, 0, 1, 92);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4216, 0, 1, 93);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4217, 0, 1, 94);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4218, 0, 1, 95);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(15, 0, 1, 96);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(507, 0, 1, 97);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(21, 3, 1, 98);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4244, 3, 1, 99);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4245, 3, 1, 100);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(4246, 3, 1, 101);
INSERT INTO "freeze_data_compressor" ("freeze_id","table_id","selected","ordinal") VALUES(3638, 4, 1, 102);



DROP TABLE IF EXISTS "global_settings_ez_cool";
CREATE TABLE "global_settings_ez_cool"(
	"name" Text,
	"id" Integer NOT NULL,
CONSTRAINT "unique_id" UNIQUE ( "id" ) );
INSERT INTO "global_settings_ez_cool" VALUES('EZ Cool',1);

DROP TABLE IF EXISTS "global_settings_package_options";
CREATE TABLE "global_settings_package_options"(
	"name" Text,
	"id" Integer NOT NULL,
CONSTRAINT "unique_id" UNIQUE ( "id" ) );
INSERT INTO "global_settings_package_options" VALUES('Discharge Butterfly Valve',1);
INSERT INTO "global_settings_package_options" VALUES('Economizer Butterfly Valve',2);

DROP TABLE IF EXISTS global_settings_user_defined_maintenance;
CREATE TABLE global_settings_user_defined_maintenance(
  name TEXT
);
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 1');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 2');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 3');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 4');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 5');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 6');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 7');
INSERT INTO  global_settings_user_defined_maintenance VALUES('User Defined 8');

DROP TABLE IF EXISTS global_settings_maintenance_logs;
CREATE TABLE global_settings_maintenance_logs(
       user_id TEXT,
       log_date DATETIME,
       log_text TEXT,
       FOREIGN KEY(user_id) REFERENCES users(id));

DROP TABLE IF EXISTS "global_settings_superheat";
CREATE TABLE "global_settings_superheat"(
	"id" Integer NOT NULL,
	"name" Text );
INSERT INTO "global_settings_superheat" VALUES(1,'Superheat A');
INSERT INTO "global_settings_superheat" VALUES(2,'Superheat B');
INSERT INTO "global_settings_superheat" VALUES(3,'Superheat C');

DROP TABLE IF EXISTS "compressor";
CREATE TABLE "compressor"(
	"name"   Text,
	"serial" Text );
INSERT INTO "compressor" VALUES('Quantum HD','sn1234');

DROP TABLE IF EXISTS messages;
CREATE TABLE "messages"(
	"message"   Text,
	"level"     Integer,
	"datestamp" DateTime );

DROP TABLE IF EXISTS meta;
CREATE TABLE meta(
       version DOUBLE
);
INSERT INTO meta VALUES(4.0);

DROP TABLE IF EXISTS local_host_configs;
CREATE TABLE local_host_configs(
       url TEXT,
       user_defined_name TEXT,
       product_type VARCHAR(25)
);
INSERT INTO local_host_configs VALUES('', 'compressor', 'compressor');

DROP TABLE IF EXISTS local_host_components;
CREATE TABLE local_host_components(
       user_defined_name TEXT,
       product_type VARCHAR(25)
);

DROP TABLE IF EXISTS mode_ordinals;
CREATE TABLE mode_ordinals(
       mode_data Integer,
       text_index Integer,
       ordinal Integer
);

DROP TABLE IF EXISTS "user_defined_compressor";
CREATE TABLE "user_defined_compressor"(
        "id"      Integer,
        "user_id" TEXT,
        "page"    Text,
        PRIMARY KEY ( "id", "user_id", "page" )
);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 1, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 2, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 3, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 4, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 5, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 6, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 7, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 8, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 9, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 10, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 11, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 12, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 13, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 14, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 16, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 17, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 25, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 26, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 27, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 28, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 29, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 30, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 67, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 68, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 70, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 71, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 72, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 73, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 74, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 77, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 78, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 79, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 80, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 81, 35);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 20, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 21, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 98, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 101, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 102, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 103, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 31, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 32, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 33, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 34, 45);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 35, 46);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 36, 47);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 37, 48);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 38, 49);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 39, 50);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 40, 51);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 41, 52);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 42, 53);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 43, 54);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 44, 55);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 45, 56);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 46, 57);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 47, 58);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 48, 59);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 49, 60);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(311, 50, 61);




INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 37, 48);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 80, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 102, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 4, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 16, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 44, 55);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 72, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 98, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 1, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 31, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 46, 57);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 49, 60);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 78, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 81, 35);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 28, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 35, 46);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 42, 53);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 17, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 20, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 21, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 26, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 47, 58);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 8, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 10, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 79, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 48, 59);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 68, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 77, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 33, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 38, 49);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 32, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 34, 45);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 71, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 7, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 27, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 73, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 103, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 5, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 43, 54);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 30, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 36, 47);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 50, 61);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 70, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 74, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 3, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 9, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 29, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 67, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 6, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 14, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 41, 52);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 101, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 25, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 39, 50);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 13, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 45, 56);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 2, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 40, 51);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 11, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(369, 12, 13);

INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 73, 29);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 0, 1);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 10, 11);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 31, 42);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 41, 52);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 42, 53);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 45, 56);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 5, 6);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 11, 12);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 35, 46);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 43, 54);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 71, 27);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 29, 22);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 79, 33);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 3, 4);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 25, 18);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 2, 3);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 27, 20);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 28, 21);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 103, 41);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 6, 7);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 33, 44);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 48, 59);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 50, 61);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 72, 28);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 17, 17);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 36, 47);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 49, 60);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 8, 9);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 14, 15);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 40, 51);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 4, 5);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 81, 35);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 101, 39);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 13, 14);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 26, 19);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 32, 43);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 68, 25);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 70, 26);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 77, 31);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 102, 40);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 37, 48);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 46, 57);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 78, 32);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 12, 13);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 21, 37);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 38, 49);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 44, 55);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 67, 24);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 98, 38);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 9, 10);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 20, 36);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 74, 30);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 80, 34);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 1, 2);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 7, 8);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 16, 16);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 30, 23);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 47, 58);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 34, 45);
INSERT INTO mode_ordinals(mode_data, text_index, ordinal) VALUES(572, 39, 50);


DROP TABLE IF EXISTS analytics_configuration;
CREATE TABLE analytics_configuration(
       config_key VARCHAR(25),
       config_value VARCHAR(50)
);


INSERT INTO analytics_configuration(config_key, config_value) VALUES('environment', 'Production');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('global_transmit_frequency', '5000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('global_retry_limit', '3');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('global_retry_limit_frequency', '10000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('timeout', '1800000');

INSERT INTO analytics_configuration(config_key, config_value) VALUES('time_sync_method', '0');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('ntp_server', '1.us.pool.ntp.org');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('ntp_sync', '300');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('http_time_server', '1.us.pool.ntp.org');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('http_sync', '300');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('last_sync', '');

INSERT INTO analytics_configuration(config_key, config_value) VALUES('azure_hubname', 'aih-devicehub-usc-prod-b0ae.azure-devices.net');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('azure_hubname_port', '8883');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('device_id', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('device_topic', '');

INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_enable', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_address', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_authentication_enabled', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_authentication_type', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_authentication_username', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_authentication_password', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('proxy_authentication_bearer', '');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('analog_enabled', 'true');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('analog_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('digital_enabled', 'true');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('digital_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('calculated_enabled', 'true');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('calculated_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('mode_enabled', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('mode_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('setpoint_enabled', 'true');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('setpoint_frequency', '60000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('timer_enabled', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('timer_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('process_enabled', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('process_frequency', '1000');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('alarms_enabled', 'false');
INSERT INTO analytics_configuration(config_key, config_value) VALUES('alarms_frequency', '1000');


DROP INDEX IF EXISTS [idx_data_key];
DROP INDEX IF EXISTS "data_keyIdx";
DROP INDEX IF EXISTS "drop_downsIdx";
DROP INDEX IF EXISTS "index_authid";
DROP INDEX IF EXISTS "languagesIdx";
DROP INDEX IF EXISTS "idx_languages";

CREATE INDEX [idx_data_key] ON [data_key] ([id] ASC);
CREATE INDEX "data_keyIdx" ON "data_key"( "language_id", "type" );
CREATE INDEX "drop_downsIdx" ON "drop_downs"( "mode_data", "language_id" );
CREATE INDEX "index_authid" ON "global_settings_smtp_auth"( "authid" );
CREATE INDEX "languagesIdx" ON "languages"( "name" );
CREATE INDEX "idx_languages" ON "languages"( "language_id" );

COMMIT;
