/*global $ jQuery*/

(function ( $ ) {

    if (!String.prototype.trim) {
        String.prototype.trim = function () {
            return this.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '');
        };
    }
    var grayScale = "grayscale(100%)";
    var filter = "filter";
    var webkitFilter = "-webkit-filter";
    var color = function(r,g,b,a){
        return {
            r: Number(r),
            g: Number(g),
            b: Number(b),
            a: Number(a),
            rgb: function() {
                return "rgb(" + r + ", " + g + ", " + b + ")";
            },
            rgba: function() {
                return "rgba(" + r + ", " + g + ", " + b + ", " + a +")";
            }
        };
    };
    var convertToGray = function(oldColor) {
        var gray = Math.ceil((oldColor.r + oldColor.g + oldColor.b) / 3);
        return color(gray, gray, gray, oldColor.a);
    };

    var getRGBA = function(colorValue) {
        var colors, start, end;
        console.log(colorValue);
        start = colorValue.indexOf("(");
        end = colorValue.indexOf(")");
        colorValue = colorValue.substring(start + 1, end - 1);
        colors =  colorValue.split(",");
        while (colors.length < 4) {
            if (colors.length == 3){
                colors.push(1);
            } else {
                colors.push(0);
            }
        }
        
        return color(colors[0], colors[1], colors[2], colors[3]);

    };

    var appendStyle = function(element, style) {
        var styleAttr = "style";
        var currentStyle = $(element).attr(styleAttr) || "";
        currentStyle = currentStyle.trim();        
        if (currentStyle.lastIndexOf(";") != currentStyle.length - 1) {
            currentStyle = currentStyle +";";
        }

        currentStyle = currentStyle + style;
        $(element).attr(styleAttr, currentStyle);
        
    };



    var setGrayscale = function(element, cssAttr) {
        
        if (!cssAttr) {
            $(element).css( filter, grayScale );
            $(element).css(webkitFilter, grayScale);
        } else {
            var actualCSS = $(element).css(cssAttr);
            if (actualCSS.trim() == "transparent") {
                return;
            }
            
            var color = getRGBA($(element).css(cssAttr));
            
            color = convertToGray(color);
            
           
            appendStyle(element, cssAttr + ":" + color.rgba() + " !important");
        }
    };


    $.fn.grayscale = function(cssAttr) {
        for (var i = 0; i < this.length; i++) {
            setGrayscale(this[i], cssAttr);
        }
        return this;
    };


 
}( jQuery ));
