$(document).ready(function () {

  var numberOfPossibleSelections = 10;

  $("#trending-modal").on('shown.bs.modal', function () {
    showNavigationButtonsTrending();

    $('.trending-input[type="checkbox"]:checked')
        .siblings(".glyphicon-unchecked")
        .removeClass(".glyphicon-unchecked")
        .addClass(".glyphicon-check");
  });

  $("#trending-next").click(function(){

    var currentPage = $(".current-page");
    $(currentPage).removeClass("current-page").addClass("hidden");
    $(currentPage).next().removeClass("hidden").addClass("current-page");

    if ($(".current-page").next().length != 0) {
      $("#trending-next").removeClass("hidden");
    } else {
      $("#trending-next").addClass("hidden");
    }

    if ($(".current-page").prev().length != 0) {
      $("#trending-prev").removeClass("hidden");
    } else {
      $("#trending-prev").addClass("hidden");
    }
  });

  $("#trending-prev").click(function(){
    var currentPage = $(".current-page");

    $(currentPage).removeClass("current-page").addClass("hidden");
    $(currentPage).prev().removeClass("hidden").addClass("current-page");

    if ($(".current-page").next().length != 0) {
      $("#trending-next").removeClass("hidden");
    } else {
      $("#trending-next").addClass("hidden");
    }

    if ($(".current-page").prev().length != 0) {
      $("#trending-prev").removeClass("hidden");
    } else {
      $("#trending-prev").addClass("hidden");
    }
  });
});

function openTrending(maxElements) {
  var numselected = $('.trending-input[type="checkbox"]:checked').length;

  if (numselected > maxElements) {
    $('button[type="submit"]').prop('disabled', true);

    var $errorMessage = $("#trending-error");
    $errorMessage.removeClass("hidden");
    setTimeout(function () {
      $errorMessage.addClass("hidden");
    }, 5000);
  } else {
    $('button[type="submit"]').prop('disabled', false);
  }
}

function selectTrending(userSelectedPoint, maxElements) {
  var numselected = $('.trending-input[type="checkbox"]:checked').length;

  var container = userSelectedPoint;
  var input = $(container).children("input");
  var isChecked = $(input).prop("checked");

  if (!isChecked && numselected >= maxElements) {
    $('button[type="submit"]').prop('disabled', true);

    var $errorMessage = $("#trending-error");
    $errorMessage.removeClass("hidden");
    setTimeout(function () {
      $errorMessage.addClass("hidden");
    }, 5000);
  } else {
    if (numselected - 1 <= maxElements) {
      $('button[type="submit"]').prop('disabled', false);
    }

    var checkbox = $(container).find(".checkbox-icon");
    $(input).prop("checked", !isChecked);
    isChecked = !isChecked;

    $(checkbox)
        .toggleClass("glyphicon-unchecked", !isChecked)
        .toggleClass("glyphicon-check", isChecked);
  }
}

function getMaxElements(elementsPerRow) {
  var panelHeader =  $("#trending-panel").children(".content-panel")
  var maxElements = ($(window).height() - panelHeader.offset().top + panelHeader.height()) / 50;

  return maxElements;
}

function showNavigationButtonsTrending(){
  if ($(".current-page").next().length != 0) {
      $("#trending-next").removeClass("hidden");
  } else {
      $("#trending-next").addClass("hidden");
  }

  if ($(".current-page").prev().length != 0) {
      $("#trending-prev").removeClass("hidden");
  } else {
      $("#trending-prev").addClass("hidden");
  }
}
